Bug 1099930 - Notebook does reboot instead power off when pressing power button
Notebook does reboot instead power off when pressing power button
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-03 06:05 UTC by Thomas Hänig
Modified: 2018-07-09 08:30 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Fix patch (2.00 KB, patch)
2018-07-09 08:29 UTC, Takashi Iwai
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Hänig 2018-07-03 06:05:05 UTC
With one of the last updates the reaction to when presisng the power button on an Fujitsu Lifebook E756 changed. Whereas the notebook siwtched simply off after completing the shutdown sequence before, it now reboots.

I have 2 different Tumbleweed Versions installed with the older one working as desired (so I think I can eliminate the possibility of BIOS settings issues)

behaviour O.K.:
tslb:~ # cat /etc/issue
Welcome to openSUSE Tumbleweed 20180628 - Kernel \r (\l).

tslb:~ # uname -a
Linux tslb 4.17.3-1-default #1 SMP PREEMPT Tue Jun 26 06:45:20 UTC 2018 (e8dc1b5) x86_64 x86_64 x86_64 GNU/Linux


behaviour broken:
tslb:~ # cat /etc/issue
Welcome to openSUSE Tumbleweed 20180530 - Kernel \r (\l).

Linux tslb 4.16.12-1-default #1 SMP PREEMPT Fri May 25 18:40:19 UTC 2018 (39c7522) x86_64 x86_64 x86_64 GNU/Linux


all entries within /etc/systemd/logind.conf for both are at their default values, XFCE's power management's setting for power button is 'power off' but this happens too if no one is logged on.
Comment 1 Thomas Hänig 2018-07-03 06:07:44 UTC
sorry, I mixed up the versions


behaviour broken (newer version):
tslb:~ # cat /etc/issue
Welcome to openSUSE Tumbleweed 20180628 - Kernel \r (\l).

tslb:~ # uname -a
Linux tslb 4.17.3-1-default #1 SMP PREEMPT Tue Jun 26 06:45:20 UTC 2018 (e8dc1b5) x86_64 x86_64 x86_64 GNU/Linux



behaviour O.K. (older version):
tslb:~ # cat /etc/issue
Welcome to openSUSE Tumbleweed 20180530 - Kernel \r (\l).

Linux tslb 4.16.12-1-default #1 SMP PREEMPT Fri May 25 18:40:19 UTC 2018 (39c7522) x86_64 x86_64 x86_64 GNU/Linux
Comment 2 Takashi Iwai 2018-07-04 13:47:30 UTC
Does the behavior same if you shutdown without the power button, e.g.
  systemctl poweroff
?
Comment 3 Thomas Hänig 2018-07-04 13:56:12 UTC
'systemctl poweroff' as well as 'init 0' powers off the notebook properly.
Comment 4 Takashi Iwai 2018-07-04 14:10:17 UTC
OK, so it's really about the power button.

Could you check two more kernels, just to be sure whether it's already addressed in the upstream?  One from OBS Kernel:stable repo and another from Kernel:HEAD.
  http://download.opensuse.org/repositories/Kernel:/stable/standard/
  http://download.opensuse.org/repositories/Kernel:/HEAD/standard/
Comment 5 Thomas Hänig 2018-07-05 06:03:45 UTC
None of both checked kernels:
kernel-default-4.18.rc3-1.1.gd44a642.x86_64
kernel-default-4.17.4-1.1.g882c99b.x86_64

from those repositories worked for me.

With both of those the older system now too refuses to switch off (everything else is unchanged there).

The behaviour is always as follows.:
- the OS is shutting down (unmounting, stopping, stopped, ...)
- every LED besides the battery capacity LED is switched off (incl. so it seems the backlight of the screen)
- approx. 5 seconds after this the notebook switches on again


This behaviour is constant regardless of whether the battery is in or out, the notebook is in or out of the docking station, with or without mains power.
Comment 6 Takashi Iwai 2018-07-05 06:58:32 UTC
Thanks for testing.  Then we need to report this to upstream.

Could you give the detailed hardware information?  Please attach at least the hwinfo output, and dmesg outputs from 4.16 (working) and 4.17 (broken) kernels.
Comment 7 Thomas Hänig 2018-07-05 07:23:08 UTC
I am maybe paranoid, but I have some reservations in making details of the hardware (serial, number, uuid, MAC addresses) world wide known.

Would it be possible to get your private gpg key to at least keep those details within a smaller audience?

Replacing all occurances would be a bit of a problem as of e.g. the format of the hwinfo output.

Thanks for your understanding.
Comment 8 Takashi Iwai 2018-07-09 08:28:03 UTC
The fix patch was submitted to linux-acpi ML, and I backported to stable branch now.
Comment 9 Takashi Iwai 2018-07-09 08:29:45 UTC
Created attachment 776444 [details]
Fix patch
Comment 10 Takashi Iwai 2018-07-09 08:30:48 UTC
Let's close.